<div class="login-register" style="background-image:url(assets/images/background/login-register.jpg);">
    <div class="login-register-box">
        <mat-card>
            <mat-card-content>
                <form [formGroup]="form" (ngSubmit)="onSubmit()">
                    <div class="text-center">
                        <img alt="homepage" src="assets/images/logo-icon.png">
                        <h4 class="m-t-0">Login to App</h4>
                    </div>

                    <div fxLayout="row wrap">
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <mat-form-field>
                                <input matInput placeholder="Username" [formControl]="form.controls['uname']">
                            </mat-form-field>
                            <small *ngIf="form.controls['uname'].hasError('required') && form.controls['uname'].touched" class="text-danger support-text">Username is required.</small>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <mat-form-field>
                                <input matInput type="password" placeholder="Password" [formControl]="form.controls['password']">
                            </mat-form-field>
                            <small *ngIf="form.controls['password'].hasError('required') && form.controls['password'].touched" class="text-danger support-text">Password is required.</small>
                        </div>
                        <!-- col half-->
                        <div fxFlex.gt-sm="50" fxFlex.gt-xs="50">
                            <mat-checkbox color="warn">Remember me</mat-checkbox>
                        </div>
                        <!-- col half-->
                        <div fxFlex.gt-sm="50" fxFlex.gt-xs="50" class="text-right">
                            <a [routerLink]="['/authentication/forgot']" class="link">Forgot pwd?</a>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <button (click)="login()" mat-raised-button color="primary" class="btn-block btn-lg m-t-20 m-b-20" [disabled]="!form.valid">Login</button>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100" class="text-center">
                            <span>Don't have an account?
                                <a [routerLink]="['/authentication/register']" class="text-info link">Register</a>
                            </span>
                        </div>
                    </div>
                </form>
            </mat-card-content>
        </mat-card>
    </div>
</div>